import http from '@/http'

export const list = params => http.get('/api/v1/rectify/list', { params }) // 当前用户的绩效评价整改计划列表
const listUrl = {
  1: '/api/v1/rectify/unRectify-list/',
  2: '/api/v1/rectify/rectified-list/'
}
export const projectList = (state, planId, params) => http.get(`${listUrl[state]}${planId}`, { params }) // 待整改列表
export const fillResult = data => http.post('/api/v1/rectify/fill-out-result', data) // 填写整改情况
export const detail = (planId, projectCode) => http.get(`/api/v1/rectify/get-rectify-detail/${planId}/${projectCode}`) // 整改详情

