const routes = [
  {
    path: '/',
    name: '/',
    redirect: '/home'
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('@/pages/login/index.vue')
  },
  {
    path: '/commonLogin',
    name: 'commonLogin',
    component: () => import('@/pages/commonLogin/index.vue')
  },
  {
    path: '/fileView',
    name: 'fileView',
    component: () => import('@/components/fileView/index.vue')
  },
  {
    path: '/expertEnroll',
    name: 'expertEnroll',
    component: () => import('@/pages/expertEnroll/index.vue')
  },
  {
    path: '/cockpit',
    name: 'cockpit',
    component: () => import('@/pages/cockpit/index.vue')
  },
  {
    path: '/portraitScreen',
    name: 'portraitScreen',
    component: () => import('@/pages/portraitScreen/index.vue')
  },
  // {
  //   path: '/403',
  //   name: '403',
  //   component: () => import('@/pages/403/index.vue')
  // },
  // {
  //   path: '/404',
  //   name: '404',
  //   component: () => import('@/pages/404/index.vue')
  // },
  {
    path: '/index',
    name: 'index',
    redirect: '/404',
    component: () => import('@/components/layout/index.vue'),
    children: []
  }
]

export default routes
