import waterMarker from './waterMarker'
import hasRole from './hasRole'

const directivesList = {
  // 这里放指令
  waterMarker // 水印指令
}
const directives = {
  install: function (app) {
    Object.keys(directivesList).forEach(key => {
      // 注册自定义指令
      app.directive(key, directivesList[key])
    })

    app.directive('hasRole', hasRole)
  }
}

export default directives
